import { defineComponent, inject, Ref } from 'vue';

const FilterSecond = defineComponent({
  setup(props, { slots }) {
    const more = inject<Ref<boolean>>('tl-more')!;
    const open = inject<Ref<boolean>>('tl-open')!;
    return () => (
      <div
        v-show={more.value && open.value}
        class="table-layout__filter-second"
      >
        <a-form layout="inline">{slots.default?.()}</a-form>
      </div>
    );
  }
});

export { FilterSecond };
